// creator  : weidu.exe (version 23100)
// argument : SAHKNG01.DLG
// game		 : .
// source	 : ./DATA/DIALOG.BIF
// dialog	 : ./DIALOG.TLK
// dialogF  : (none)

BEGIN ~SAHKNG01~
//////////////////////////////////////////////////
// WARNING: this file contains non-trivial WEIGHTs
//////////////////////////////////////////////////

IF ~~ THEN BEGIN 0 // from: SAHPR1:33.0
  SAY #46341 /* ~And... and these... (heh heh heh!) ... these are the strange creatures from the surface?  (heh heh!)  These are the ones you claim... the mighty Sekolah has promised us?~ [SAHKNG07] */
  IF ~~ THEN EXTERN ~SAHPR1~ 34
END

IF ~~ THEN BEGIN 1 // from: SAHPR1:34.0
  SAY #46343 /* ~It seems most... most strange!  They have no scales!  Look how small and puny their teeth are!~ */
  IF ~!IsValidForPartyDialog("Minsc")
!IsValidForPartyDialog("Jan")
!IsValidForPartyDialog("Nalia")~ THEN EXTERN ~SAHBAR03~ 0
  IF ~IsValidForPartyDialog("Minsc")~ THEN EXTERN ~MINSCJ~ 166
  IF ~!IsValidForPartyDialog("Minsc")
IsValidForPartyDialog("Jan")~ THEN EXTERN ~JANJ~ 162
  IF ~!IsValidForPartyDialog("Minsc")
!IsValidForPartyDialog("Jan")
IsValidForPartyDialog("Nalia")~ THEN EXTERN ~NALIAJ~ 278
END

IF ~~ THEN BEGIN 2 // from: SAHBAR03:0.0
  SAY #46345 /* ~So you keep telling me, Baron Thelokassyil.  Shall we turn away a gift of Sekolah, do you think, then?~ */
  IF ~~ THEN EXTERN ~SAHPR3~ 0
END

IF ~~ THEN BEGIN 3 // from: SAHPR3:1.0
  SAY #46347 /* ~Oh?~ */
  IF ~~ THEN EXTERN ~SAHPR1~ 35
END

IF ~~ THEN BEGIN 4 // from: SAHPR1:36.0
  SAY #46352 /* ~So... (hee hee!)  We have a disagreement, do we?  The high priestess and consort of my Baron Thelokassyil contests the belief of my own high priestess, does she?~ */
  IF ~~ THEN EXTERN ~SAHPR3~ 3
END

IF ~~ THEN BEGIN 5 // from: SAHPR1:37.0
  SAY #46362 /* ~Oh, I shall be the judge of that, good Senityili.  Oh, yes, I most surely shall!~ */
  IF ~~ THEN GOTO 6
END

IF ~~ THEN BEGIN 6 // from: 5.0
  SAY #46363 /* ~(Heh heh heh!)~ */
  IF ~~ THEN GOTO 7
END

IF ~~ THEN BEGIN 7 // from: 6.0
  SAY #46366 /* ~What do yoooouuu think, <PRO_RACE>?  Yes, you.  Do you think you are more worthy than a sea crab, hmmm?  Do you think you are who the prophecy speaks of?~ */
  IF ~~ THEN REPLY #46390 /* ~I could be.  I will help you if I can.~ */ GOTO 8
  IF ~~ THEN REPLY #46392 /* ~I don't know.~ */ GOTO 9
  IF ~~ THEN REPLY #46393 /* ~No, I don't.  I would sooner slice you open than help your evil kind.~ */ GOTO 10
  IF ~~ THEN REPLY #46396 /* ~Err... yes, I am!  Killing me would be a mistake!~ */ GOTO 11
END

IF ~~ THEN BEGIN 8 // from: 7.0
  SAY #46397 /* ~Aha!  Well, now, that sounds promising.  I wasn't aware we needed such help, but you never know when a tasty <PRO_RACE> might come in handy!~ */
  IF ~~ THEN GOTO 12
END

IF ~~ THEN BEGIN 9 // from: 7.1
  SAY #46399 /* ~You don't know if you have more worth than a sea crab?  It's tempting to taste for myself.  But then, a scrumptious <PRO_RACE> might come in handy...~ */
  IF ~~ THEN GOTO 12
END

IF ~~ THEN BEGIN 10 // from: 7.2
  SAY #46401 /* ~Well, the <PRO_RACE> has an admirable zest, I'll give it that.  Sekolah would like such a vicious attitude, I think.~ */
  IF ~~ THEN GOTO 12
END

IF ~~ THEN BEGIN 11 // from: 7.3
  SAY #46402 /* ~Well, now.  Then it appears to be settled, doesn't it?  By the <PRO_RACE>'s own petite mouth, it admits Sekolah has sent it.~ */
  IF ~~ THEN GOTO 12
END

IF ~~ THEN BEGIN 12 // from: 11.0 10.0 9.0 8.0
  SAY #46404 /* ~I don't suppose either of the most favored priestesses will change their minds?  (hee hee!)  Relinquish their position in this arbitration, perhaps?~ */
  IF ~~ THEN EXTERN ~SAHPR3~ 4
END

IF ~~ THEN BEGIN 13 // from: SAHPR1:38.0
  SAY #46407 /* ~Ah, I didn't think so.~ */
  IF ~~ THEN GOTO 14
END

IF ~~ THEN BEGIN 14 // from: 13.0
  SAY #46409 /* ~So be it!  We shall decide this with a challenge, we will!  Although... not a challenge between our dear priestesses.  That would solve nothing!~ */
  IF ~~ THEN GOTO 15
END

IF ~~ THEN BEGIN 15 // from: 14.0
  SAY #46410 /* ~We wish to see if these surface beasts are truly the ones the Shark-Father has spoken of, yes?  So I shall offer them the chance to prove their power!~ */
  IF ~~ THEN GOTO 16
END

IF ~~ THEN BEGIN 16 // from: 15.0
  SAY #46411 /* ~Well, <PRO_RACE>?  Will you take this challenge?  Will you fight a creature of my choosing, a slave from the surface... and see if you survive?~ */
  IF ~~ THEN REPLY #46412 /* ~Very well.  I accept the challenge.~ */ GOTO 17
  IF ~~ THEN REPLY #46413 /* ~But... my colleagues and I are in need of rest and healing.  Some of us were wounded during the ship battle...~ */ GOTO 18
  IF ~~ THEN REPLY #46414 /* ~And if I refuse?~ */ GOTO 21
  IF ~~ THEN REPLY #46415 /* ~Forget it!  I would rather leave now!~ */ GOTO 22
END

IF ~~ THEN BEGIN 17 // from: 21.0 20.0 16.0
  SAY #46416 /* ~Excellent!  Excellent!  Sport for us all!  Take them away, and let us see what they do against our freakish surface slave!~ */
  IF ~~ THEN DO ~StartCutSceneMode()
StartCutScene("cut41u")
~ UNSOLVED_JOURNAL #16669 /* ~The prophecy of Sekolah

The High Priestess seems to think that I am the one her prophecy has spoken of, and that I will save this Sahuagin city.  Another priestess disagreed, however, and King Ixilthetocal decided that a trial by combat was needed to settle the issue.  I have accepted the challenge.~ */ EXIT
END

IF ~~ THEN BEGIN 18 // from: 21.1 16.1
  SAY #46417 /* ~Sekolah demands perseverance, strength and self-reliance!  But not stupidity... the priestesses shall heal you before you fight, surface <PRO_RACE>.~ */
  IF ~~ THEN GOTO 19
END

IF ~~ THEN BEGIN 19 // from: 18.0
  SAY #46418 /* ~But rest you shall not get.  We dislike sorcerous powers here, <PRO_RACE>, and you shall have no time to study them.  Healing should be more than sufficient.~ */
  IF ~~ THEN GOTO 20
END

IF ~~ THEN BEGIN 20 // from: 19.0
  SAY #46419 /* ~So, then!  Do you agree, my tasty <PRO_RACE>... or... (hee hee!) ... do you refuse?~ */
  IF ~~ THEN REPLY #46420 /* ~I agree.~ */ GOTO 17
  IF ~~ THEN REPLY #46421 /* ~What happens if I refuse?~ */ GOTO 21
  IF ~~ THEN REPLY #46423 /* ~I refuse!  To the abyss with you all!~ */ GOTO 22
END

IF ~~ THEN BEGIN 21 // from: 20.1 16.2
  SAY #46424 /* ~Then you are not the ones the prophecy tells of.   That would make you intruders, and intruders die.  Oh, yes, they certainly do!~ */
  IF ~~ THEN REPLY #46425 /* ~Very well... I shall accept your challenge, then.~ */ GOTO 17
  IF ~~ THEN REPLY #46426 /* ~But my colleagues and I are in need of healing and rest... some of us were wounded during the battle on the ship.~ */ GOTO 18
  IF ~~ THEN REPLY #46427 /* ~Then I refuse!  And we shall see who dies...~ */ GOTO 22
END

IF ~~ THEN BEGIN 22 // from: 21.2 20.2 16.3
  SAY #46428 /* ~Ooo!  It seems you are proven wrong, Senityili!  But we shall deal with you later, oh yes!~ */
  IF ~~ THEN GOTO 23
END

IF ~~ THEN BEGIN 23 // from: 22.0
  SAY #46429 /* ~For now... (hee hee!) ... kill the surface <PRO_RACE>!  Kill them all!  I wish their hearts on my dinner platter!!~ */
  IF ~~ THEN DO ~EraseJournalEntry(6467)
EraseJournalEntry(16669)
SetGlobal("hostilecity","GLOBAL",1)~ SOLVED_JOURNAL #5823 /* ~The prophecy of Sekolah

The High Priestess seemed to think that I was the one her prophecy spoken of, and that I will save this Sahuagin city.  Another priestess disagreed, however, and the King decided that a trial by combat was needed to settle the issue.  I refused to play their game and decided to fight my way through this place.~ */ EXIT
END

IF WEIGHT #0 ~NumTimesTalkedTo(0)
~ THEN BEGIN 24 // from:
  SAY #46430 /* ~Congratulations, my wondrous little <PRO_RACE>!  You are, indeed, a mighty specimen... and the one sent to us by Sekolah, I might add.~ */
  IF ~~ THEN EXTERN ~SAHBAR03~ 2
END

IF ~~ THEN BEGIN 25 // from: SAHBAR03:2.0
  SAY #46436 /* ~Oh, stop complaining, Baron.  So your High Priestess lost the challenge, that's too bad.  There's no need to go on whining about it.~ */
  IF ~~ THEN GOTO 26
END

IF ~~ THEN BEGIN 26 // from: 25.0
  SAY #46437 /* ~Time to take her away for sacrifice!  Try not to get caught in Sekolah's teeth, Tlyysixxous.  I'm sure he wouldn't appreciate it.~ */
  IF ~~ THEN EXTERN ~SAHPR3~ 5
END

IF WEIGHT #1 ~NumTimesTalkedTo(1)
~ THEN BEGIN 27 // from:
  SAY #46440 /* ~Ah.  Now that that little dispute is over with, perhaps we can get down to real business, eh?  (heh heh heh!)  Are you bitter, Thelokassyil?~ [SAHKNG08] */
  IF ~~ THEN EXTERN ~SAHBAR03~ 3
END

IF ~~ THEN BEGIN 28 // from: SAHBAR03:3.0
  SAY #46443 /* ~The rebels!  That's right!  And here I was on my coral throne, forgetting all about those rebels. That is an excellent task to set these surface dwellers on!~ */
  IF ~~ THEN EXTERN ~SAHPR1~ 39
END

IF ~~ THEN BEGIN 29 // from: SAHPR1:39.0
  SAY #46446 /* ~Eh?  Are you still here, Senityili?  Didn't I just have you sacrificed?~ */
  IF ~~ THEN EXTERN ~SAHPR1~ 40
END

IF ~~ THEN BEGIN 30 // from: SAHPR1:40.0
  SAY #46448 /* ~Oh.  How disappointing.  Well, I suppose you can speak, then.~ */
  IF ~~ THEN EXTERN ~SAHPR1~ 41
END

IF ~~ THEN BEGIN 31 // from: SAHPR1:43.0
  SAY #46452 /* ~I see what you say, Senityili.  Oh, yes I do.~ */
  IF ~~ THEN GOTO 32
END

IF ~~ THEN BEGIN 32 // from: 31.0
  SAY #46453 /* ~We should have the rebel and his army join us... in principle.  The drow and the illithids take more each year.  I've no wish to retreat to the depths...~ */
  IF ~~ THEN GOTO 33
END

IF ~~ THEN BEGIN 33 // from: 32.0
  SAY #46454 /* ~But, no.  I'd rather have the rebel's heart.~ */
  IF ~~ THEN EXTERN ~SAHPR1~ 44
END

IF ~~ THEN BEGIN 34 // from: SAHBAR03:4.0
  SAY #46457 /* ~I thought you would like that, my Baron, but I am not doing it for you.  The rebel will invade with his army of exiles if he isn't stopped, you know.~ */
  IF ~~ THEN GOTO 35
END

IF ~~ THEN BEGIN 35 // from: 34.0
  SAY #46458 /* ~So it comes down to you, surface <PRO_RACE>!  I am sure you have no wish to help a race such as us.  But you've no objection to killing a few...~ */
  IF ~~ THEN GOTO 36
END

IF ~~ THEN BEGIN 36 // from: 35.0
  SAY #46459 /* ~Hunt down the rebel leader for me, my <PRO_RACE>... bring me his heart and I shall reward you with great riches!~ */
  IF ~!IsValidForPartyDialog("Jan")
!IsValidForPartyDialog("Nalia")
!IsValidForPartyDialog("Imoen2")~ THEN GOTO 37
  IF ~IsValidForPartyDialog("Jan")~ THEN EXTERN ~JANJ~ 163
  IF ~!IsValidForPartyDialog("Jan")
IsValidForPartyDialog("Nalia")~ THEN EXTERN ~NALIAJ~ 279
  IF ~!IsValidForPartyDialog("Jan")
!IsValidForPartyDialog("Nalia")
IsValidForPartyDialog("Imoen2")~ THEN EXTERN ~IMOEN2J~ 21
END

IF ~~ THEN BEGIN 37 // from: 36.0
  SAY #46460 /* ~Your kind does not object to sorcery?  We have collected much that is magical during our raids.  You are welcome to it ALL, if you bring me his heart.~ */
  IF ~~ THEN GOTO 38
END

IF ~~ THEN BEGIN 38 // from: 37.0
  SAY #46461 /* ~So... what do you say to that, my surface <PRO_RACE>, chosen of Sekolah?~ */
  IF ~~ THEN REPLY #46462 /* ~Who is this rebel and where would I find him?~ */ GOTO 39
  IF ~~ THEN REPLY #46463 /* ~I would prefer to negotiate a peace, as the High Priestess suggests.~ */ GOTO 41
  IF ~~ THEN REPLY #46464 /* ~I can't fight this rebel if I'm a prisoner.~ */ GOTO 42
  IF ~~ THEN REPLY #46465 /* ~Forget it.  I shall do nothing for you, madman!~ */ GOTO 47
END

IF ~~ THEN BEGIN 39 // from: 46.1 41.0 38.0
  SAY #46466 /* ~Oh, this particular one is a former rival for my position that I sent away years ago.  What was his name, again, my Baron?~ */
  IF ~~ THEN EXTERN ~SAHBAR03~ 5
END

IF ~~ THEN BEGIN 40 // from: SAHBAR03:5.0
  SAY #46468 /* ~Right.  Villynaty.  You can find the rebels outside the city.  He should be no match for one as powerful as you, my little <PRO_RACE>.~ */
  IF ~~ THEN REPLY #46470 /* ~Very well.  I shall seek him out and return his heart for the reward you promised.~ */ GOTO 48
  IF ~~ THEN REPLY #46472 /* ~I would prefer to negotiate a peace, as the High Priestess suggests.~ */ GOTO 41
  IF ~~ THEN REPLY #46473 /* ~I can't fight this rebel if I'm a prisoner.~ */ GOTO 42
  IF ~~ THEN REPLY #46497 /* ~I refuse to do as you ask!  I would rather take my chances and carve my way out of here with my blade.~ */ GOTO 47
END

IF ~~ THEN BEGIN 41 // from: 46.2 40.1 38.1
  SAY #46474 /* ~Well, I don't want a peace.  I want his heart.  You're the chosen of Sekolah, after all.  And the rewards would be magnificent, I can assure you.~ */
  IF ~~ THEN REPLY #46475 /* ~Who is this rebel and where would I find him?~ */ GOTO 39
  IF ~~ THEN REPLY #46476 /* ~I can't fight this rebel if I'm a prisoner.~ */ GOTO 42
  IF ~~ THEN REPLY #46478 /* ~Very well.  I will seek out this rebel and return his heart for the reward you've offered.~ */ GOTO 48
  IF ~~ THEN REPLY #46477 /* ~Forget it.  I shall do nothing for you, madman!~ */ GOTO 47
END

IF ~~ THEN BEGIN 42 // from: 41.1 40.2 38.2
  SAY #46480 /* ~Prisoner?  (hee hee!)  You are the chosen of Sekolah, my little surface <PRO_RACE>!  You have been sent to us by the prophecy!~ */
  IF ~~ THEN GOTO 43
END

IF ~~ THEN BEGIN 43 // from: 42.0
  SAY #46482 /* ~After we're done here, you can wander off on your way... rest, rearm yourselves... whatever it is that you surface people enjoy doing, I suppose.~ */
  IF ~~ THEN GOTO 44
END

IF ~~ THEN BEGIN 44 // from: 43.0
  SAY #46483 /* ~Soon you'll leave the city and kill this rebel Prince, saving the City-of-Caverns as the prophecy foretells!  And I shall reward you with great riches!~ */
  IF ~~ THEN GOTO 45
END

IF ~~ THEN BEGIN 45 // from: 44.0
  SAY #46484 /* ~Until that time, you will have the free run of the City-of-Caverns.  Go where you wish, my good <PRO_RACE>.~ */
  IF ~~ THEN EXTERN ~SAHBAR03~ 6
END

IF ~~ THEN BEGIN 46 // from: SAHBAR03:6.0
  SAY #46486 /* ~They are doing us a great service, my Baron.  I want everyone to treat them like... like... like pale, small-toothed, skinny fellow Sahuagin.  Yes.  Like that.~ */
  IF ~~ THEN REPLY #46487 /* ~Very well.  I will try to find this rebel you speak of and return his heart to you.~ */ GOTO 48
  IF ~~ THEN REPLY #46488 /* ~Who is this rebel and where would I find him?~ */ GOTO 39
  IF ~~ THEN REPLY #46489 /* ~I would prefer to negotiate a peace, as the High Priestess suggests.~ */ GOTO 41
  IF ~~ THEN REPLY #46490 /* ~Forget it.  I shall do nothing for you, madman!~ */ GOTO 47
END

IF ~~ THEN BEGIN 47 // from: 46.3 41.3 40.3 38.3
  SAY #46491 /* ~Oh well.  I suppose it's the dinner plate for you, then.  And I thought you were actually sent by Sekolah, too.  Tsk.  Kill them.~ */
  IF ~~ THEN DO ~EraseJournalEntry(6467)
EraseJournalEntry(16669)
EraseJournalEntry(15809)
SetGlobal("hostilecity","GLOBAL",1)~ SOLVED_JOURNAL #10936 /* ~The prophecy of Sekolah

I defeated the Sahuagin King's monster and he ordered the opposing priestess sacrificed to Sekolah.  Now that I was 'the Chosen One', I was to find the leader of some rebel movement and return his heart to the King.  I refused, preferring to battle my way out of this mad place.~ */ EXIT
END

IF ~~ THEN BEGIN 48 // from: 46.0 41.2 40.0
  SAY #46492 /* ~Good.  The less rebels running about, the better.  You shall save the city and be rewarded... everybody will be happy!  Except for Villynaty.~ */
  IF ~~ THEN DO ~SetGlobal("sahkngjob","GLOBAL",1)~ GOTO 49
END

IF ~~ THEN BEGIN 49 // from: 48.0
  SAY #46493 /* ~And then you'll be free to go off to the Underdark, if that's where you're headed.  Unless you'd care to try the oceans again, my little <PRO_RACE>!~ */
  IF ~~ THEN GOTO 50
END

IF ~~ THEN BEGIN 50 // from: 49.0
  SAY #46494 /* ~But off you go, chosen ones.  I desire meat, now, and the King always dines in private.~ */
  IF ~~ THEN EXTERN ~SAHPR1~ 45
END

IF ~~ THEN BEGIN 51 // from: SAHPR1:45.0
  SAY #46496 /* ~Yes, our Priestess shall tell you how to gain access to the rebel camp. The rebels are locked away with magic, you know. Go now and destroy them.  (Hee hee!)~ */
  IF ~~ THEN DO ~StartCutSceneMode()
StartCutScene("cut41w")
~ UNSOLVED_JOURNAL #15809 /* ~The prophecy of Sekolah

I have defeated the King's monster and he has ordered the opposing priestess sacrificed to Sekolah.  I am now the 'chosen one', the King intends to have me kill the leader of a group of rebels outside of the city and return with his heart... for which he will reward me with great riches.  I am to see High Priestess Senityili in her temple to get more information on how to reach the rebel encampment.  Until then, I have the run of the city.~ */ EXIT
END

IF WEIGHT #6 /* Triggers after states #: 62 72 77 80 even though they appear after this state */
~!InPartySlot(LastTalkedToBy,0)~ THEN BEGIN 52 // from:
  SAY #46509 /* ~No.  I do not wish to speak to you, whatever you are.  Send my favorite little surface <PRO_RACE> to speak to me.  I find that one more amusing.~ */
  IF ~~ THEN EXIT
END

IF WEIGHT #7 /* Triggers after states #: 62 72 77 80 even though they appear after this state */
~InPartySlot(LastTalkedToBy,0)
Global("sahkngjob","GLOBAL",1)
//!PartyHasItem("misc8r")
~ THEN BEGIN 53 // from:
  SAY #46511 /* ~Aha!  My favorite surface <PRO_RACE> wishes to speak to me once again!  Do you have the heart of that rebel?  I would so enjoy eating it now.~ */
  IF ~PartyHasItem("MISC8S")
~ THEN REPLY #46512 /* ~Yes, I have it here.  The leader of the rebels is dead.~ */ DO ~TakePartyItem("MISC8S")
~ GOTO 54
  IF ~~ THEN REPLY #46515 /* ~No, I do not have it yet.  But I intend to get it.~ */ GOTO 66
  IF ~!Dead("sahpr1")
OR(2)
Global("senityilijob","GLOBAL",1)
Global("senityilirefused","GLOBAL",1)~ THEN REPLY #46516 /* ~No... but I wanted to tell you that your High Priestess, Senityili, is plotting with the rebels to overthrow you.~ */ GOTO 67
  IF ~~ THEN REPLY #46518 /* ~No, I don't.  And I refuse to do your bidding any longer, fish-man.~ */ GOTO 74
END

IF ~~ THEN BEGIN 54 // from: 53.0
  SAY #46521 /* ~Oh!  Ohhhh!  The rebel Prince is dead!  Dead dead dead dead DEAD!  You are a wonderful <PRO_RACE>!  Isn't <PRO_HESHE> wonderful, my Baron?~ */
  IF ~~ THEN EXTERN ~SAHBAR03~ 7
END

IF ~~ THEN BEGIN 55 // from: SAHBAR03:7.0
  SAY #46523 /* ~Exactly what I just said!  Why are you repeating me?  Ahhh, never mind.  The point is, you've earned everything I'm giving you as a reward.~ */
  IF ~~ THEN GOTO 56
END

IF ~~ THEN BEGIN 56 // from: 55.0
  SAY #46532 /* ~And since I received signs from Sekolah that you were returning, I had three of the guards sacrificed promptly for good measure.~ */
  IF ~~ THEN DO ~SetGlobal("sahkngjob","GLOBAL",2)
~ GOTO 57
END

IF ~~ THEN BEGIN 57 // from: 56.0
  SAY #46534 /* ~There.  Now I suppose you want to know how to get to the surface.  Well... if you haven't found it already, I'll show you the way.  Follow me.~ */
  IF ~~ THEN DO ~Wait(1)
StartCutSceneMode()
StartCutScene("cut41zc")
~ EXIT
END

IF ~~ THEN BEGIN 58 // from: 62.0
  SAY #46536 /* ~Yes yes yes YES!  I knew this was coming, yes I did.  My men reported your return, and I asked Sekolah if it was done and he told me that it was!~ */
  IF ~Dead("sahpr1")~ THEN GOTO 59
  IF ~!Dead("sahpr1")~ THEN GOTO 65
END

IF ~~ THEN BEGIN 59 // from: 65.0 58.0
  SAY #46541 /* ~So I sacrificed a few hatchlings and a guard to the Shark-Father... and I had the rest of the guards prepare for the festival... there will be a feast tonight!~ */
  IF ~~ THEN GOTO 60
END

IF ~~ THEN BEGIN 60 // from: 59.0
  SAY #46544 /* ~Not that we were planning on feasting on you, my favorite little <PRO_RACE>.  No, no.  You weren't planning on eating my <PRO_RACE>, were you, Baron?~ */
  IF ~~ THEN DO ~TakePartyItem("misc8r")~ EXTERN ~SAHBAR03~ 8
END

IF ~~ THEN BEGIN 61 // from: SAHBAR03:8.0
  SAY #46546 /* ~Liar.  I heard you talking, earlier.  So go be a good Baron and get the reward for my little <PRO_RACE>, here.  It has certainly deserved one, oh yes!~ */
  IF ~~ THEN DO ~StartCutSceneMode()
StartCutScene("cut41y")
~ EXIT
END

IF WEIGHT #2 ~Global("sahkngjob","GLOBAL",1)
!Dead("sahpr2")
PartyHasItem("misc8r")
//!PartyHasItem("misc8s")~ THEN BEGIN 62 // from:
  SAY #46547 /* ~Oho!  It is my surface <PRO_RACE>, come to me once again!  And does it have... why, yes, I think I smell the ichor of a rebel!  You have the heart with you!!~ */
  IF ~~ THEN GOTO 58
END

IF ~~ THEN BEGIN 63 // from: SAHCPT01:0.0
  SAY #46550 /* ~What?!  You... you have betrayed me, my <PRO_RACE>?!  This cannot be!!~ */
  IF ~~ THEN EXTERN ~SAHBAR03~ 9
END

IF ~~ THEN BEGIN 64 // from: SAHBAR03:9.0
  SAY #46552 /* ~Oh, shut UP, Thelokassyil!  Just kill them!  Kill them!!  I WANT ALL OF THEIR HEADS ON MY PLATE!!~ */
  IF ~~ THEN DO ~SetGlobal("RebelsAttack","AR2300",1)
SetGlobalTimer("PrinceAttack","AR2300",20)
Enemy()
~ EXIT
END

IF ~~ THEN BEGIN 65 // from: 58.1
  SAY #46553 /* ~I knew my High Priestess could not be trusted to speak for the Shark-Father.  I smelled her treachery, my <PRO_RACE>!  Senityili is dead... I was right all along!~ */
  IF ~~ THEN DO ~ActionOverride("sahpr1",Kill(Myself))~ GOTO 59
END

IF ~~ THEN BEGIN 66 // from: 53.1
  SAY #46554 /* ~Well, what are you waiting for?!  The rebel awaits!   I would like to BE there when he sees your hairy hides... but a King can't have everything.  (sigh...)~ */
  IF ~~ THEN EXIT
END

IF ~~ THEN BEGIN 67 // from: 53.2
  SAY #46555 /* ~What?!  You must be joking!  Is this some manner of surface-lander, hairy-skinned <PRO_RACE> joke?  Is it joking with me, Baron?~ */
  IF ~~ THEN EXTERN ~SAHBAR03~ 10
END

IF ~~ THEN BEGIN 68 // from: SAHBAR03:10.0
  SAY #46557 /* ~Oh, what do you know?!  (sigh)  But the <PRO_RACE> IS the chosen of Sekolah, so it should know.  Have the treacherous Senityili brought before me.~ */
  IF ~!IsValidForPartyDialog("Aerie")
!IsValidForPartyDialog("Viconia")
!IsValidForPartyDialog("Anomen")~ THEN DO ~StartCutSceneMode()
StartCutScene("cut41za")
~ EXIT
  IF ~IsValidForPartyDialog("Aerie")~ THEN EXTERN ~AERIEJ~ 139
  IF ~!IsValidForPartyDialog("Aerie")
IsValidForPartyDialog("Viconia")~ THEN EXTERN ~VICONIJ~ 135
  IF ~!IsValidForPartyDialog("Aerie")
!IsValidForPartyDialog("Viconia")
IsValidForPartyDialog("Anomen")~ THEN EXTERN ~ANOMENJ~ 270
END

IF ~~ THEN BEGIN 69 // from: SAHPR1:46.0
  SAY #46560 /* ~Well... it seems, Senityili, that you have been a very naughty... er, what does the <PRO_RACE> refer to us as, again, Baron?~ */
  IF ~~ THEN EXTERN ~SAHBAR03~ 11
END

IF ~~ THEN BEGIN 70 // from: SAHBAR03:11.0
  SAY #46562 /* ~That's it!  You have been a naughty Sahuagin, Senityili... plotting with rebels.  Tsk tsk.  A good thing Sekolah has sent us loyal surface beings!~ */
  IF ~~ THEN EXTERN ~SAHPR1~ 47
END

IF ~~ THEN BEGIN 71 // from: SAHPR1:47.0
  SAY #46564 /* ~And she admits her guilt!  Ho-hum.  Well, kill her now, guards.~ */
  IF ~~ THEN DO ~StartCutSceneMode()
StartCutScene("cut41zb")
~ EXIT
END

IF WEIGHT #3 ~!Global("sahkngjob","GLOBAL",2)
Dead("sahpr1")
Global("Sahpr1Killed","LOCALS",0)
!PartyHasItem("misc8r")
!PartyHasItem("misc8s")
~ THEN BEGIN 72 // from:
  SAY #46565 /* ~Amongst our kind, the strong rule... and I am far stronger than you, Senityili.~ [SAHKNG09] */
  IF ~~ THEN DO ~SetGlobal("Sahpr1Killed","LOCALS",1)
TakePartyItem("MISC8Q")
~ GOTO 73
END

IF ~~ THEN BEGIN 73 // from: 72.0
  SAY #46566 /* ~Now... go and kill that rebel, my little surface <PRO_RACE>.  All this bloodletting has only served to whet my appetite.  (hee hee!)~ */
  IF ~~ THEN DO ~ActionOverride("sahcpt01",EscapeArea())
~ UNSOLVED_JOURNAL #10931 /* ~The prophecy of Sekolah

I have turned High Priestess Senityili over to the King for her treachery... although he didn't reward me for it.  She was butchered and the King bade me to continue my task.~ */ EXIT
END

IF ~~ THEN BEGIN 74 // from: 53.3
  SAY #46567 /* ~That is most vicious of you, my little <PRO_RACE>.  I like this side of you!  But it is tiresome, too.  Go hunt for the rebel, or I shall become annoyed.~ */
  IF ~~ THEN REPLY #46568 /* ~Very well... I shall try my best.~ */ GOTO 75
  IF ~~ THEN REPLY #46569 /* ~I'll take my chances!  I'd rather see my sword in your gut than continue to do your dirty work!~ */ GOTO 76
END

IF ~~ THEN BEGIN 75 // from: 74.0
  SAY #46570 /* ~Good.  Off you go then.  I'm not getting any younger, you know.~ */
  IF ~~ THEN EXIT
END

IF ~~ THEN BEGIN 76 // from: 74.1
  SAY #46571 /* ~Oh, alright, then.  (sigh)  I was so looking forward to making a meal of the rebel.  I suppose you'll do, in a pinch.~ */
  IF ~~ THEN DO ~EraseJournalEntry(6467)
EraseJournalEntry(16669)
EraseJournalEntry(15809)
EraseJournalEntry(10116)
EraseJournalEntry(10109)
EraseJournalEntry(7170)
EraseJournalEntry(10931)
EraseJournalEntry(6587)
EraseJournalEntry(19432)
SetGlobal("hostilecity","GLOBAL",1)~ SOLVED_JOURNAL #7684 /* ~The prophecy of Sekolah

In the underground Sahuagin city, I played along with King Ixilthetocal's little schemes regarding my so-called place in Sekolah's prophecy until I tired of it and told him I was no longer interested.  I would rather battle my way out of this place.~ */ EXIT
END

IF WEIGHT #4 ~Global("sahkngjob","GLOBAL",2)
~ THEN BEGIN 77 // from:
  SAY #46572 /* ~Well, then.  Here you go, my fortunate favored.  The entrance to the Underdark.  (hee hee!)  It goes a fair ways down, but it reaches the surface once again.~ [SAHKNG10] */
  IF ~~ THEN GOTO 78
END

IF ~~ THEN BEGIN 78 // from: 77.0
  SAY #46573 /* ~We could take you straight up, of course, but that would only bring you to the middle of the ocean... with none of your surfacer ships that you so depend on.~ */
  IF ~~ THEN GOTO 79
END

IF ~~ THEN BEGIN 79 // from: 78.0
  SAY #46574 /* ~So... this is the only way back to your home.  You seem to be in good with Sekolah, so you should do well against the Drow and Illithids and such.  (hee hee!)~ */
  IF ~~ THEN DO ~

~ GOTO 81
END

IF WEIGHT #5 ~False()~ THEN BEGIN 80 // from:
  SAY #46735 /* ~Eh?  Haven't you wandered off into the Underdark by now?  (hee hee!)  Do you want one of my citizens to mistake you for dinner?  Off you go, surface <RACE>!~ */
  IF ~~ THEN EXIT
END

IF ~~ THEN BEGIN 81 // from: 79.0
  SAY #50001 /* ~Before you go, I offer you a few surfacer trinkets from my treasury as payment for your assistance. Here you go!  Farewell my little <PRO_RACE>!~ */
  IF ~~ THEN DO ~AddXPObject(Player1,58500)
AddXPObject(Player2,58500)
AddXPObject(Player3,58500)
AddXPObject(Player4,58500)
AddXPObject(Player5,58500)
AddXPObject(Player6,58500)
GiveItemCreate("rods02",LastTalkedToBy,0,0,0)
GiveItemCreate("brac19",LastTalkedToBy,0,0,0)
GiveItem("miscbi",LastTalkedToBy)
GiveGoldForce(2000)
SetGlobal("LeavingSahuagin","AR2300",1)
EscapeArea()~ EXIT
END
